﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>TextBox with RadDataSource</title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <telerik:RadCodeBlock runat="server" ID="RadCodeBlock1">
            <script type="text/javascript">

                var updatedIDs = [], deletedIDs = [];

                function pageLoad() {
                    getAllDataSourceData();
                }


                function fetchData() {
                    getAllDataSourceData();
                }

                function getAllDataSourceData() {
                    var dataSource = $find('<%= RadClientDataSource1.ClientID %>');
                    //debugger
                    dataSource.fetch(function (args) {
                        var data = args.get_data();
                        //debugger
                        console.log(data.length);
                        console.log(data[data.length - 1]);
                    });
                }
            </script>
        </telerik:RadCodeBlock>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <div>
            <telerik:RadMaskedTextBox ID="RadTextMaskedBox1" runat="server" Mask="##.##">
                <ClientEvents OnKeyPress="fetchData" />
            </telerik:RadMaskedTextBox>
            <telerik:RadClientDataSource ID="RadClientDataSource1" runat="server">
                <DataSource>
                    <WebServiceDataSourceSettings ServiceType="Default">
                        <Select Url="/api/pricing" />
                    </WebServiceDataSourceSettings>
                </DataSource>
            </telerik:RadClientDataSource>
        </div>
    </form>
</body>
</html>
